net.sf.jasperreports.engine.export

## Class JExcelApiMetadataExporter.BoxStyle

- java.lang.Object
- - net.sf.jasperreports.engine.export.JExcelApiMetadataExporter.BoxStyle

- Enclosing class:
    JExcelApiMetadataExporter

      protected class JExcelApiMetadataExporter.BoxStyle
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected jxl.format.Colour[]` | `borderColour`
    `protected jxl.format.BorderLineStyle[]` | `borderStyle`
    `protected static int` | `BOTTOM`
    `protected static int` | `LEFT`
    `protected static int` | `RIGHT`
    `protected static int` | `TOP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JExcelApiMetadataExporter.BoxStyle(int side, JRPen pen)`
    `JExcelApiMetadataExporter.BoxStyle(JRBoxContainer element)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `void` | `setBox(JRLineBox box)`
    `void` | `setPen(JRPen pen)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TOP

          protected static final int TOP

      See Also:
        Constant Field Values

    - #### LEFT

          protected static final int LEFT

      See Also:
        Constant Field Values

    - #### BOTTOM

          protected static final int BOTTOM

      See Also:
        Constant Field Values

    - #### RIGHT

          protected static final int RIGHT

      See Also:
        Constant Field Values

    - #### borderStyle

          protected jxl.format.BorderLineStyle[] borderStyle

    - #### borderColour

          protected jxl.format.Colour[] borderColour

  - ### Constructor Detail

    - #### JExcelApiMetadataExporter.BoxStyle

          public JExcelApiMetadataExporter.BoxStyle(int side,
                                            JRPen pen)

    - #### JExcelApiMetadataExporter.BoxStyle

          public JExcelApiMetadataExporter.BoxStyle(JRBoxContainer element)

  - ### Method Detail

    - #### setBox

          public void setBox(JRLineBox box)

    - #### setPen

          public void setPen(JRPen pen)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com